@import url('https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.css');

@import url(https://fonts.googleapis.com/css?family=Titillium+Web:300);

body {
padding-left: 60px;
}



.fa-2x {
  font-size: 2em;
  }
  
  
  .fa-nav {
  position: relative;
  display: table-cell;
  width: 70px;
  height: 36px;
  text-align: center;
  vertical-align: middle;
  font-size:20px;
  }
  
  .fa-sub {
  position: relative;
  display: table-cell;
  width: 75px;
  height: 36px;
  text-align: center;
  vertical-align: middle;
  font-size:20px;
  }
  
  .subnav-icon {
  position: relative;
  display: table-cell;
  width: 20px;
  text-align: center;
  vertical-align: middle;
  font-size:20px;
  }
  
  .sub-li {
  position: relative;
  display: table-cell;
  vertical-align: middle;
  width: 120px;
  font-family: 'Titillium Web', sans-serif;
  padding-left: 80px; /* добавляем отступ слева */
  }
  
  .main-menu:hover,nav.main-menu.expanded {
  width:250px;
  overflow:visible;
  }
  
  .main-menu {
  background:#514b5f;
  border-right:1px solid #e5e5e5;
  position:fixed;
  top:0;
  bottom:0;
  height:100%;
  left:0;
  width:60px;
  overflow:hidden;
  -webkit-transition:width .05s linear;
  transition:width .05s linear;
  -webkit-transform:translateZ(0) scale(1,1);
  z-index:1000;
  }
  
  .main-menu>ul {
  margin:7px 0;
  }
  
  .main-menu li {
  position:relative;
  display:block;
  width:250px;
  }
  
  .main-menu li>a {
  position:relative;
  display:table;
  border-collapse:collapse;
  border-spacing:0;
  color:#f1ebeb;
   font-family: arial;
  font-size: 14px;
  text-decoration:none;
  -webkit-transform:translateZ(0) scale(1,1);
  -webkit-transition:all .1s linear;
  transition:all .1s linear;
    
  }
  
  .main-menu .nav-icon {
  position:relative;
  display:table-cell;
  width:60px;
  height:36px;
  text-align:center;
  vertical-align:middle;
  font-size:18px;
  }
  
  .main-menu .nav-text {
  position:relative;
  display:table-cell;
  vertical-align:middle;
  width:190px;
    font-family: 'Titillium Web', sans-serif;
  }
  
  .main-menu>ul.logout {
  position:absolute;
  left:0;
  bottom:0;
  }
  
  .no-touch .scrollable.hover {
  overflow-y:hidden;
  }
  
  .no-touch .scrollable.hover:hover {
  overflow-y:auto;
  overflow:visible;
  }
  
  a:hover,a:focus {
  text-decoration:none;
  }
  
  nav {
  -webkit-user-select:none;
  -moz-user-select:none;
  -ms-user-select:none;
  -o-user-select:none;
  user-select:none;
  }
  
  nav ul,nav li {
  outline:0;
  margin:0;
  padding:0;
  }
  .main-menu li:hover>a,nav.main-menu li.active>a,.dropdown-menu>li>a:hover,.dropdown-menu>li>a:focus,.dropdown-menu>.active>a,.dropdown-menu>.active>a:hover,.dropdown-menu>.active>a:focus,.no-touch .dashboard-page nav.dashboard-menu ul li:hover a,.dashboard-page nav.dashboard-menu ul li.active a {
  color:#fff;
  background-color:#2a2044;
  }
  
    .sub-menu {
      display: none;
    }
    
    .has-subnav:focus .sub-menu {
      display: block;
    }
    
    .has-subnav:focus-within .sub-menu {
      display: block;
    }
    
    .has-subnav:hover .sub-menu {
      display: block;
    }
    
    .has-subnav:focus-within > a .subnav-icon {
      transform: rotate(90deg);
    }
    
    .has-subnav > a .subnav-icon {
      transition: transform 0.2s ease-in-out;
    }

  @font-face {
    font-family: 'Titillium Web';
    font-style: normal;
    font-weight: 300;
    src: local('Titillium WebLight'), local('TitilliumWeb-Light'), url(http://themes.googleusercontent.com/static/fonts/titilliumweb/v2/anMUvcNT0H1YN4FII8wpr24bNCNEoFTpS2BTjF6FB5E.woff) format('woff');
  }

#update-btn-block {
  margin-top: 10px;
  margin-bottom: 10px;
  margin-right: 20px;
  position: absolute;
  top: 0;
  right: 0;
  z-index: 999;
}


/* Charts */

.charts {
  border-collapse: collapse;
  width: 100%;
}

.charts th {
  background-color: #b2a8b9;
  border: 1px solid #7e7286;
  padding: 8px;
  text-align: center;
  font-weight: bold;
}

.charts td {
  border: 1px solid #80758b;
  padding: 8px;
  text-align: center;
}


.chart-caption {
  font-size: 24px;
  font-weight: bold;
  text-align: center;
  color: #1a171b;
  padding: 10px;
  background-color: #9487a3;
}



.chart-container {
  position: relative;
  height: 300px;
  width: 300px;
}

canvas {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/* Стили для враппера .flatpickr-input */
.flatpickr-input {
  display: inline-block;
  max-width: 150px;
  width: 100%;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
  background-color: #fff;
  background-image: none;
  border: 1px solid #ccc;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
  -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
  -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
  transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
  }
  
  /* Стили для состояния фокуса .flatpickr-input */
  .flatpickr-input:focus {
  border-color: #66afe9;
  outline: 0;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, .6);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, .6);
  }
  
  /* Стили для кнопки очистки */
  .flatpickr-clear {
  display: none;
  }
  
  /* Стили для кнопки закрытия */
  .flatpickr-close-icon {
  display: none;
  }
  


/* CSS код для стилизации дашборда */
.dashboard-style {
  display: inline-block;
  padding: 15px;
  background-color: #dddee2;
  border-radius: 5px;
  margin-left: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.4);
  transition: all 0.3s ease;
  font-size: 24px;
}

.dashboard-style:hover {
  transform: scale(1.3);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.4);
}

.dashboard-style > span {
  font-weight: bold;
}
.dashboard-container {
  margin-left: 10px;
}
.dashboard-header {
  font-size: 1.2em;
}




  /* Кнопки */
.btnget {
    background-color: #5b5a97;
    /* цвет фона */
    border: none;
    /* Убираем границы */
    color: white;
    /*  цвет текста */
    padding: 10px 20px;
    /* Размеры отступов вокруг текста */
    text-align: center;
    /* Выравнивание текста по центру */
    text-decoration: none;
    /* Убираем подчеркивание */
    display: inline-block;
    /* Элементы располагаются в строку */
    font-size: 16px;
    /* Размер шрифта */
    cursor: pointer;
    /* Курсор при наведении */
    border-radius: 5px;
    /* Закругляем углы */
}
.btnget:hover {
    background-color: #283574;
}
.btnget:active {
    background-color: #171a53;
}

#btnUp {
  display: none;
  position: fixed;
  bottom: 10px;
  right: 10px;
  z-index: 99;
  font-size: 14px; /* изменяем размер шрифта */
  border: none;
  outline: none;
  background-color: #bfbfc0;
  color: white;
  cursor: pointer;
  padding: 5px; /* уменьшаем отступы внутри кнопки */
  border-radius: 5px; /* делаем кнопку круглой */
  opacity: 0.6; /* делаем кнопку полупрозрачной */
  transition: background-color 0.3s; /* добавляем плавный эффект при наведении */
}

#btnUp:hover {
  background-color: #787a91;
}



.btnsearch {
  display: inline-block;
  padding: 10px 15px;
  font-size: 14px;
  font-weight: bold;
  text-transform: uppercase;
  color: #fff;
  background-color: #8e759e;
  border-radius: 6px;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.btnsearch:hover {
  background-color: #6e4481;
}


/* стили для кнопок на мобильном устройстве */
@media screen and (min-width: 768px) {
  #search-block {
    flex-wrap: nowrap; /* Отключение переноса элементов */
  }

  .search-input {
    flex-basis: auto; /* Возвращение стандартной ширины элемента */
    margin-right: 12px; /* Добавление отступа между элементами */
    margin-bottom: 0; /* Удаление отступа снизу */
  }

  .search-input:last-child {
    margin-right: 0; /* Удаление отступа справа у последнего элемента */
  }

  .btnsearch,
  .btnget {
    flex-basis: auto; /* Возвращение стандартной ширины элемента */
  }
}


/* переключатель*/
.top-panel {
  display: inline-block; 
  vertical-align: top;
}
.vat-container {
  display: flex;
  align-items: center;
}

.vat-container p {
  margin-right: 10px;
}

.vat {
  width: 80px;
  height: 26px;
  background: #6d6197;
  position: relative;
  border-radius: 50px;
  box-shadow: inset 0px 1px 1px rgba(0, 0, 0, 0.5), 0px 1px 0px rgba(255, 255, 255, 0.2);
  cursor: pointer; 
}

.vat:after {
content: 'OFF';
color: #fc5e5e;
position: absolute;
right: 10px;
z-index: 0;
font: 12px/26px Arial, sans-serif;
font-weight: bold;
text-shadow: 1px 1px 0px rgba(255, 255, 255, 0.15);
}

.vat:before {
content: 'ON';
color: #46f18d;
position: absolute;
left: 10px;
z-index: 0;
font: 12px/26px Arial, sans-serif;
font-weight: bold;
}

.vat label {
display: block;
width: 34px;
height: 20px;
cursor: pointer;
position: absolute;
top: 3px;
left: 3px;
z-index: 1;
background: #fcfff4;
background: linear-gradient(top, #fcfff4 0%, #dfe5d7 40%, #b3bead 100%);
border-radius: 50px;
transition: all 0.4s ease;
box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.3);
}

.vat label:before, .vat label:after {
  pointer-events: none; 
}

.vat input[type=checkbox] {
visibility: hidden;
}

.vat input[type=checkbox]:checked + label {
left: 43px;
}

.vat:before {
content: 'ON';
color: darken(#27ae60, 20%);
position: absolute;
left: 10px;
z-index: 0;
font: 12px/26px Arial, sans-serif;
font-weight: bold;
}

/* Оформление таблиц */
#table-block {
  margin-top: 50px;
  padding: 10px;
}

#table-block table {
  width: 100%;
  border-collapse: collapse;
}

#table-block table thead {
  position: sticky;
  top: 0;
  background-color: #5e6197;
  color: white;
}


#table-block td, #table-block th {
  border: 1px solid #ddd;
  padding: 8px;
}

#table-block tr:nth-child(even) {
  background-color: #f2f2f2;
}

#table-block tr:hover {
  background-color: #d0d0dd;
}



/* Задаем фоновый цвет для четных строк */
table.dataTable tbody tr:nth-child(even)  {
  background-color: #f2f2f2;
}


/* Задаем фоновый цвет для шапки таблицы и цвет текста */
.dataTables_wrapper thead th {
  position: sticky;
  top: 0;
  background-color: #5e6197;
  color: white;
}

/* Форма добавления клиента */
.popup {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 9999;
  background-color: #e1d9e4;
  border: 1px solid #ccc;
  box-shadow: 0 2px 15px rgba(0, 0, 0, 0.25);
  padding: 20px;
  border-radius: 15px;
  max-width: 500px;
}
  
.form-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}  

.close-button {
  position: absolute;
  top: 5px; 
  right: 5px; 
  font-size: 30px;
  line-height: 1;
  color: #42315f;
  background-color: transparent;
  border: none;
  cursor: pointer;
}
.close-button:hover {
  color: rgb(189, 10, 10);
}
  
.form-label {
  display: block;
  margin-bottom: 10px;
}
  
.add-client-form h2 {
  top: 10px;  
  font-size: 24px;
  margin-top: 0;
  margin-bottom: 30px;
  text-align: center;
  color: #171a53;
}
  
.add-client-form button[type="submit"] {
  display: block;
  margin: 0 auto;
  background-color: #705692;
  border: none;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
  border-radius: 5px;
  margin-top: 25px;
  cursor: pointer;
}
.add-client-form button[type="submit"]:hover {
  background-color: #3a3a5e;
}
  

input {
  margin-top: 15px;
  color: #3759ec;
    font-size: 18px;
    width: calc(100% - 80px);
    height: 40px;
    padding: 0 25px;
    border: none;
    border-radius: 10px;
    box-shadow: 0px 0 40px rgba(55, 89, 236, 0.2);
    outline: none;
}

.token-div { 
  display: flex;
  align-items: center;
  justify-content: space-between;
}
  
.token-field {
  width: 100%;
  max-width: 250px;
  padding: 5px;
  border-radius: 5px;
  border: none;
  font-size: 14px;
}
  
.get-token-button-container { 
  position: relative;
  margin-top: 5px;
}

  
.get-token-button {

  display: flex;
  justify-content: center;
  align-items: center;

  background-color: #705692;
  border: none;
  margin-top: 15px;
  color: white;
  width: calc(20% - 30px);
    height: 40px;
    padding: 0 25px;
  text-align: center;
  text-decoration: none;
  font-size: 15px;
  border-radius: 5px;
  cursor: pointer;
  }
  
.get-token-button:hover {
  background-color: #3a3a5e;
  }
  
.get-token-button::before {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: #333;
  color: #fff;
  padding: 5px;
  border-radius: 5px;
  font-size: 12px;
  opacity: 0;
  transition: opacity 0.2s ease-in-out;
}
  
.get-token-button:hover::before {
  opacity: 1;
}
  